/*
sources:
https://stackoverflow.com/questions/1880198/how-to-execute-shell-command-in-javascript, 02/03/2022
*/



export function parseAll(){
	var exec = require('child_process').exec;
	var listxml = '';
exec('cd .. && cd nodesets && ls',
    function (error, stdout, stderr) {
        //console.log('stdout: ' + stdout);
        //console.log('stderr: ' + stderr);
		listxml = stdout;
		console.log('stdout: ' + listxml);
        if (error !== null) {
             console.log('exec error: ' + error);
        }
    });	
}